Skip to main content

Packages de Fabric Cloud Router

Conditions préalables

Authentification: soumettez vos identifiants utilisateur, votre identifiant client et votre clé secrète pour l’authentification OAuth2. Consultez la documentation relative à l’authentification API (Authentification API) pour savoir comment appeler l’API OAuth afin de valider et d’authentifier vos identifiants.

Obtenez tous les packages de routeurs Fabric Cloud

Pour afficher la liste de tous les paquets Fabric Cloud Router, envoyez une requête GET au point de terminaison /fabric/v4/routerPackages. Utilisez les paramètres de requête facultatifs pour gérer la pagination.

GET /fabric/v4/routerPackages
MethodGET
URL or Endpoint/fabric/v4/routerPackages
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query Parametersoffset, limit
Body ParametersNot applicable

Exemple de demande de boucle:

curl -X
GET 'https://api.equinix.com/fabric/v4/routerPackages'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'

Paramètres de la requête:

  • offset (optional) integer - Index of the first item returned in the response. Defaults to 0.
  • limit (optional) integer - Maximum number of items returned per page. Defaults to 20.

Exemple de réponse:

{
    "pagination": {
        "offset": 0,
        "limit": 20,
        "total": 1
    },
    "data": [
        {
            "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",
            "type": "ROUTER_PACKAGE",
            "code": "STANDARD",
            "description": "string",
            "totalIPv4RoutesMax": 1000,
            "totalIPv6RoutesMax": 100,
            "routeFilterSupported": true,
            "vcBandwidthMax": 10000,
            "vcCountMax": 10,
"crCountMax": 3,
            "changeLog": {
                "createdDateTime": "2022-02-10T00:14:47Z",
                "updatedDateTime": "2022-02-10T00:14:47Z"
            }
        }
    ]
}

Obtenir le package de Fabric Cloud Router spécifié

Pour obtenir les détails d'un paquet Fabric Cloud Router, envoyez une requête GET au point de terminaison /fabric/v4/routerPackages/{routerPackageCode}.

GET /fabric/v4/routerPackages/{routerPackageCode}
MethodGET
URL or Endpoint/fabric/v4/routerPackages/{routerPackageCode}
HeadersAuthorization, Content-Type
Path ParametersrouterPackageCode
Query ParametersNot applicable
Body ParametersNot applicable

Exemple de demande de boucle:

curl -X
GET 'https://api.equinix.com/fabric/v4/routerPackages/{routerPackageCode}'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'

Paramètre de chemin:

  • routerPackageCode (required) string - Fabric Cloud Router package identifier. Applicable values: LAB, STANDARD, ADVANCED, PREMIUM.

Exemple de réponse:

{
    "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",
    "type": "ROUTER_PACKAGE",
    "code": "STANDARD",
    "description": "string",
    "totalIPv4RoutesMax": 1000,
"totalIPv6RoutesMax": 100,
"routeFilterSupported": true,
"vcBandwidthMax": 10000,
"vcCountMax": 10,
"crCountMax": 3,
    "changeLog": {
        "createdDateTime": "2022-01-24T10:28:51.024Z",
        "updatedDateTime": "2022-01-24T10:28:51.024Z"
    }
}
Cette page vous a-t-elle été utile ?